MONGOC_CLIENT_GET_DATABASE_NAMES(3)

NAME
mongoc_client_get_database_names() - None

SYNOPSIS

char **
mongoc_client_get_database_names (mongoc_client_t *client,
                                  bson_error_t    *error);

This function queries the MongoDB server for a list of known databases.

PARAMETERS

client
    A mongoc_client_t \&.

error
    An optional location for a bson_error_t or NULL \&.

ERRORS

Errors are propagated via the error parameter.

RETURNS

A NULL terminated vector of NULL-byte terminated strings. The result should be freed with bson_strfreev(3) \&.

NULL is returned upon failure and error is set.

EXAMPLES

{
   bson_error_t error;
   char **strv;
   unsigned i;

   if ((strv = mongoc_client_get_collection_names (client, &error))) {
      for (i = 0; strv [i]; i++)
         printf ("%s\n", strv [i]);
      bson_strfreev (strv);
   } else {
      fprintf (stderr, "Command failed: %s\n", error.message);
   }
}

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.